Get Label
curl --request GET \
--url https://api.lemlist.com/api/inbox/labels/{labelId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/inbox/labels/{labelId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/inbox/labels/{labelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/inbox/labels/{labelId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/inbox/labels/{labelId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"_id": "lbl_uPAAgsi4oi9juBHfW",
"name": "Interested",
"color": "#F9A2A2",
"createdAt": "2025-11-26T15:49:23.470Z",
"createdBy": "john.doe@example.com"
}"Bad team""The authentication you supplied is incorrect""Label not found"Inbox
Get Label
Get info of a specific label.
GET
/
inbox
/
labels
/
{labelId}
Get Label
This endpoint uses the Label object.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Label ID
Response
Success
Was this page helpful?